SalesOS.

Invoice Management

Invoice creation, sending, and tracking

Invoice Management Controller_list Invoices

GET
/v1/invoices

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusRequiredstring
customerIdRequiredstring
pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/invoices?status=%3Cstring%3E&customerId=%3Cstring%3E&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_create Invoice

POST
/v1/invoices

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/invoices" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_get Stats

GET
/v1/invoices/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/invoices/stats" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_get Aging

GET
/v1/invoices/aging

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/invoices/aging" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_get Dunning Config

GET
/v1/invoices/dunning

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/invoices/dunning" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_update Dunning Config

PATCH
/v1/invoices/dunning

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X PATCH "https://api.salesos.org/v1/invoices/dunning" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_get Invoice

GET
/v1/invoices/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/invoices/<string>" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_update Invoice

PATCH
/v1/invoices/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/invoices/<string>" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_delete Invoice

DELETE
/v1/invoices/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/invoices/<string>" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_send Invoice

POST
/v1/invoices/{id}/send

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/invoices/<string>/send" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_record Payment Frontend

POST
/v1/invoices/{id}/payment

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/invoices/<string>/payment" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_record Payment

POST
/v1/invoices/{id}/record-payment

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/invoices/<string>/record-payment" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_void Invoice

POST
/v1/invoices/{id}/void

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/invoices/<string>/void" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_send Reminder

POST
/v1/invoices/{id}/reminder

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/invoices/<string>/reminder" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_create From Order Body

POST
/v1/invoices/from-order

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/invoices/from-order" \
  -H "Authorization: Bearer <token>"

Invoice Management Controller_create From Order

POST
/v1/invoices/from-order/{orderId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

orderIdRequiredstring
curl -X POST "https://api.salesos.org/v1/invoices/from-order/<string>" \
  -H "Authorization: Bearer <token>"